<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// METABOX OPTIONS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options      = array();

// -----------------------------------------
// Page Metabox Options                    -
// -----------------------------------------
$options[]    = array(
	'id'        => '_custom_page_options',
	'title'     => 'اعدادت الصفحات',
	'post_type' => 'page',
	'context'   => 'normal',
	'priority'  => 'default',
	'sections'  => array(

		// begin: a section
		array(
			'name'  => 'section_1',
			'title' => 'اعدادت',
			'icon'  => 'fa fa-cog',

				// begin: fields
			'fields' => array(
				
				array(
					'id'             => 'page_template_type',
					'type'           => 'select',
					'title'          => 'نوع الصفحه',
					'options'        => 'template',
					'default_option' => 'اختر نوع الصفحه',
					// 'class'			 => 'chosen chosen-rtl'
				),
				
				/* ==========================================================================
				    about us
				========================================================================== */
				array(
					'type'    => 'subheading',
					'content' => 'بلوك المهارات',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-about.php' ),
				),

                array(
                    'id'      => 'skills_block_status',
                    'type'    => 'switcher',
                    'title'   => 'حالة البلوك',
                    'default' => true,
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-about.php' ),
                ),

                array(
                    'id'      => 'about_us_title',
                    'type'    => 'text',
                    'title'   => 'العنوان',
                    'default' => 'تعرف على مهاراتنا فى خدمات الويب عن قرب',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-about.php' ),
                ),
                array(
                    'id'          => 'about_us_content',
                    'type'        => 'textarea',
                    'title'       => 'المحتوى',
                    'default' => 'احداث لإنعدام وتم لم, مما ما التي العظمى التكاليف. مع أسابيع الانجليزية على, و جيما محاولات مما, بعض المؤلّفة المعاهدات بل. جهة عن سابق أراض الحرة. الى احداث واستمر إذ, لم عالمية استعملت دول. كلا عل قائمة وتنامت بمعارضة, ونتج مكثّفة وقدّموا أم ذات. الله والنفيس وصل كل, بشرية المحيط حتى بـ, لم أراض للسيطرة الأرضية لكل.',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-about.php' ),
                ),
		        array(
		            'id'              => 'abous_us_bars',
		            'type'            => 'group',
        			'before' 		  => '<h4>المهارات</h4>',
		            'button_title'    => 'أضف جديد',
		            'accordion_title' => 'جديد',
		            'dependency'     => array( 'page_template_type', '==', 'page-templates/page-about.php' ),
		            'fields'          => array(
		                array(
		                    'id'      => 'bar_title',
		                    'type'    => 'text',
		                    'title'   => 'العنوان',
		                ),

		                array(
		                    'id'      => 'bar_percent',
		                    'type'    => 'number',
		                    'title'   => 'النسبه المئويه',
		                ),

		                array(
		                    'id'      => 'bar_percent',
		                    'type'    => 'number',
		                    'title'   => 'النسبه المئويه',
		                ),

		                array(
		                    'id'      => 'bar_color',
		                    'type'    => 'select',
		                    'title'   => 'اللون',
		                    'class'   => 'chosen chosen-rtl',
							'options'  => array(
								'green'  => 'اخضر',
								'blue'   => 'ازرق',
								'red'    => 'أحمر',
								'yellow' => 'أصفر',
							),
		                ),
		            ), // end of fields
		            'default' => array(
		                array(
		                    'bar_title'       => 'التصميم',
		                    'bar_percent'     => '95',
		                    'bar_color'       => 'green',
		                ),
		                array(
		                    'bar_title'       => 'التكويد',
		                    'bar_percent'     => '90',
		                    'bar_color'       => 'blue',
		                ),
		                array(
		                    'bar_title'       => 'البرمجه',
		                    'bar_percent'     => '80',
		                    'bar_color'       => 'red',
		                ),
		                array(
		                    'bar_title'       => 'الانتهاء',
		                    'bar_percent'     => '95',
		                    'bar_color'       => 'yellow',
		                ),
		            ) // end of defaults
		        ),


		        array(
		            'id'              => 'abous_us_pro',
		            'type'            => 'group',
        			'before' 		  => '<h4>الخصائص</h4>',
		            'button_title'    => 'أضف جديد',
		            'accordion_title' => 'جديد',
		            'dependency'     => array( 'page_template_type', '==', 'page-templates/page-about.php' ),
		            'fields'          => array(
		                array(
		                    'id'      => 'abous_us_pro_title',
		                    'type'    => 'text',
		                    'title'   => 'العنوان',
		                ),

		                array(
		                    'id'      => 'abous_us_pro_content',
		                    'type'    => 'textarea',
		                    'title'   => 'المحتوى',
		                ),
		            ), // end of fields
		            'default' => array(
		                array(
		                    'abous_us_pro_title'       => 'لماذا يجب عليك أختيار شركتنا ؟',
		                    'abous_us_pro_content'     => 'احداث لإنعدام وتم لم, مما ما التي العظمى التكاليف. مع أسابيع الانجليزية على, و جيما محاولات مما, بعض المؤلّفة المعاهدات بل. جهة عن سابق أراض الحرة. الى احداث واستمر إذ, لم عالمية استعملت دول. كلا عل قائمة وتنامت بمعارضة, ونتج مكثّفة وقدّموا أم ذات. الله والنفيس وصل كل, بشرية المحيط حتى بـ, لم أراض للسيطرة الأرضية لكل',
		                ),
		                array(
		                    'abous_us_pro_title'       => 'مهمتنا',
		                    'abous_us_pro_content'     => 'احداث لإنعدام وتم لم, مما ما التي العظمى التكاليف. مع أسابيع الانجليزية على, و جيما محاولات مما, بعض المؤلّفة المعاهدات بل. جهة عن سابق أراض الحرة. الى احداث واستمر إذ, لم عالمية استعملت دول. كلا عل قائمة وتنامت بمعارضة, ونتج مكثّفة وقدّموا أم ذات. الله والنفيس وصل كل, بشرية المحيط حتى بـ, لم أراض للسيطرة الأرضية لكل',
		                ),
		                array(
		                    'abous_us_pro_title'       => 'أهدافنا وأفكارنا',
		                    'abous_us_pro_content'     => 'احداث لإنعدام وتم لم, مما ما التي العظمى التكاليف. مع أسابيع الانجليزية على, و جيما محاولات مما, بعض المؤلّفة المعاهدات بل. جهة عن سابق أراض الحرة. الى احداث واستمر إذ, لم عالمية استعملت دول. كلا عل قائمة وتنامت بمعارضة, ونتج مكثّفة وقدّموا أم ذات. الله والنفيس وصل كل, بشرية المحيط حتى بـ, لم أراض للسيطرة الأرضية لكل',
		                ),
		                array(
		                    'abous_us_pro_title'       => 'تاريخنا فى المجال',
		                    'abous_us_pro_content'     => 'احداث لإنعدام وتم لم, مما ما التي العظمى التكاليف. مع أسابيع الانجليزية على, و جيما محاولات مما, بعض المؤلّفة المعاهدات بل. جهة عن سابق أراض الحرة. الى احداث واستمر إذ, لم عالمية استعملت دول. كلا عل قائمة وتنامت بمعارضة, ونتج مكثّفة وقدّموا أم ذات. الله والنفيس وصل كل, بشرية المحيط حتى بـ, لم أراض للسيطرة الأرضية لكل',
		                ),
		            ) // end of defaults
		        ),




				array(
					'type'    => 'subheading',
					'content' => 'بلوك معرض الصور',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-about.php' ),
				),

                array(
                    'id'      => 'aboutus_gallery_block_status',
                    'type'    => 'switcher',
                    'title'   => 'حالة البلوك',
                    'default' => true,
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-about.php' ),
                ),


				array(
					'id'          => 'aboutus_gallery',
					'type'        => 'gallery',
					'title'       => 'معرض الصور',
					'add_title'   => 'اضف صور',
					'edit_title'  => 'تعديل الصور',
					'clear_title' => 'حذف الصور',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-about.php' ),
				),



				/* ==========================================================================
				    wasata maleya
				========================================================================== */

				array(
					'type'    => 'subheading',
					'content' => 'البلوك الأول',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-wasata.php' ),
				),
                array(
                    'id'      => 'wasata_first_status',
                    'type'    => 'switcher',
                    'title'   => 'حالة البلوك',
                    'default' => true,
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-wasata.php' ),
                ),

                array(
                    'id'      => 'wasata_first_title',
                    'type'    => 'text',
                    'title'   => 'العنوان',
                    'default' => 'ما هى شروط القبول فى خدمة الوساطه الماليه ؟ ',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-wasata.php' ),
                ),
				array(
					'id'       => 'wasata_first_content',
					'type'     => 'wysiwyg',
					// 'title'    => 'Wysiwyg with Custom Settings',
					'settings' => array(
						'textarea_rows' => 5,
						'media_buttons' => false,
					),
                    'default' => 'وصغار وإقامة انتباه عرض قد. أن ضرب تاريخ أراضي ابتدعها, قائمة وحرمان الإتفاقية لمّ أم. من كان حادثة استراليا،. عن ذات حاول يتمكن, السادس الجنوبي الإحتفاظ كما إذ, أن ميناء العمليات الى. بتخصيص الغالي مسؤولية هذا هو, مع الإثنان للأراضي هذا.',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-wasata.php' ),
				),


				array(
					'type'    => 'subheading',
					'content' => 'البلوك الثانى',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-wasata.php' ),
				),
                array(
                    'id'      => 'wasata_second_status',
                    'type'    => 'switcher',
                    'title'   => 'حالة البلوك',
                    'default' => false,
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-wasata.php' ),
                ),

                array(
                    'id'      => 'wasata_second_title',
                    'type'    => 'text',
                    'title'   => 'العنوان',
                    'default' => 'نظام التعامل مع البنوك المصريه والسعوديه ؟ ',
					'dependency'     => array( 'wasata_second_status', '==', 'true' ),
                ),
				array(
					'id'       => 'wasata_second_content',
					'type'     => 'wysiwyg',
					// 'title'    => 'Wysiwyg with Custom Settings',
					'settings' => array(
						'textarea_rows' => 5,
						'media_buttons' => false,
					),
                    'default' => 'وصغار وإقامة انتباه عرض قد. أن ضرب تاريخ أراضي ابتدعها, قائمة وحرمان الإتفاقية لمّ أم. من كان حادثة استراليا،. عن ذات حاول يتمكن, السادس الجنوبي الإحتفاظ كما إذ, أن ميناء العمليات الى. بتخصيص الغالي مسؤولية هذا هو, مع الإثنان للأراضي هذا.',
					'dependency'     => array( 'wasata_second_status', '==', 'true' ),
				),


				array(
					'type'    => 'subheading',
					'content' => 'البلوك الثالث',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-wasata.php' ),
				),
                array(
                    'id'      => 'wasata_third_status',
                    'type'    => 'switcher',
                    'title'   => 'حالة البلوك',
                    'default' => false,
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-wasata.php' ),
                ),

                array(
                    'id'      => 'wasata_third_title',
                    'type'    => 'text',
                    'title'   => 'العنوان',
                    'default' => 'نظام التعامل مع البنوك المصريه والسعوديه ؟ ',
					'dependency'     => array( 'wasata_third_status', '==', 'true' ),
                ),
				array(
					'id'       => 'wasata_third_content',
					'type'     => 'wysiwyg',
					// 'title'    => 'Wysiwyg with Custom Settings',
					'settings' => array(
						'textarea_rows' => 5,
						'media_buttons' => false,
					),
                    'default' => 'وصغار وإقامة انتباه عرض قد. أن ضرب تاريخ أراضي ابتدعها, قائمة وحرمان الإتفاقية لمّ أم. من كان حادثة استراليا،. عن ذات حاول يتمكن, السادس الجنوبي الإحتفاظ كما إذ, أن ميناء العمليات الى. بتخصيص الغالي مسؤولية هذا هو, مع الإثنان للأراضي هذا.',
					'dependency'     => array( 'wasata_third_status', '==', 'true' ),
				),





				/* ==========================================================================
				    Hosting
				========================================================================== */
				array(
					'type'    => 'subheading',
					'content' => 'بلوك المميزات',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-hosting.php' ),
				),

     //            array(
     //                'id'      => 'host_features_block_status',
     //                'type'    => 'switcher',
     //                'title'   => 'حالة البلوك',
     //                'default' => true,
					// 'dependency'     => array( 'page_template_type', '==', 'page-templates/page-hosting.php' ),
     //            ),

     //            array(
     //                'id'      => 'host_features_title',
     //                'type'    => 'text',
     //                'title'   => 'العنوان',
     //                'default' => 'مميزات الاستضافه',
					// 'dependency'     => array( 'page_template_type', '==', 'page-templates/page-hosting.php' ),
     //            ),
     //            array(
     //                'id'          => 'host_features_content',
     //                'type'        => 'textarea',
     //                'title'       => 'المحتوى',
     //                'default' => 'احداث لإنعدام وتم لم, مما ما التي العظمى التكاليف. مع أسابيع الانجليزية على, و جيما محاولات مما, بعض المؤلّفة المعاهدات بل. جهة عن سابق أراض الحرة. الى احداث واستمر إذ, لم عالمية استعملت دول. كلا عل قائمة وتنامت بمعارضة, ونتج مكثّفة وقدّموا أم ذات. الله والنفيس وصل كل, بشرية المحيط حتى بـ, لم أراض للسيطرة الأرضية لكل.',
					// 'dependency'     => array( 'page_template_type', '==', 'page-templates/page-hosting.php' ),
     //            ),


		        array(
		            'id'              => 'host_features_group',
		            'type'            => 'group',
		            'title'           => 'المميزات',
		            'button_title'    => 'أضف ميزه جديده',
		            'accordion_title' => 'ميزه جديده',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-hosting.php' ),
		            'fields'          => array(
		                array(
		                    'id'      => 'host_features_group_text',
		                    'type'    => 'text',
		                    'title'   => 'العنوان',
		                ),

		                array(
		                    'id'      => 'host_features_group_icon',
		                    'type'    => 'icon',
		                    'title'   => 'الايقونه',
		                    'default' => '',
		                ),

		                array(
		                    'id'          => 'host_features_group_content',
		                    'type'        => 'textarea',
		                    'title'       => 'المحتوى',
		                ),
		            ), // end of fields
		            'default' => array(
		                array(
		                    'host_features_group_text'       => 'تصميمات متنوعه',
		                    'host_features_group_icon'       => 'fa fa-check',
		                    'host_features_group_content'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
		                ),
		                array(
		                    'host_features_group_text'       => 'تصميمات متنوعه',
		                    'host_features_group_icon'       => 'fa fa-check',
		                    'host_features_group_content'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
		                ),
		                array(
		                    'host_features_group_text'       => 'تصميمات متنوعه',
		                    'host_features_group_icon'       => 'fa fa-check',
		                    'host_features_group_content'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
		                ),
		                array(
		                    'host_features_group_text'       => 'تصميمات متنوعه',
		                    'host_features_group_icon'       => 'fa fa-check',
		                    'host_features_group_content'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
		                ),
		            ) // end of defaults
		        ),


				array(
					'type'    => 'subheading',
					'content' => 'بلوك العروض',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-hosting.php' ),
				),

                array(
                    'id'      => 'host_offers_block_status',
                    'type'    => 'switcher',
                    'title'   => 'حالة البلوك',
                    'default' => true,
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-hosting.php' ),
                ),

                array(
                    'id'      => 'host_offers_block_title',
                    'type'    => 'text',
                    'title'   => 'العنوان',
                    'default' => 'عروض الاستضافه',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-hosting.php' ),
                ),
                array(
                    'id'          => 'host_offers_block_content',
                    'type'        => 'textarea',
                    'title'       => 'المحتوى',
                    'default' => 'احداث لإنعدام وتم لم, مما ما التي العظمى التكاليف. مع أسابيع الانجليزية على, و جيما محاولات مما, بعض المؤلّفة المعاهدات بل. جهة عن سابق أراض الحرة. الى احداث واستمر إذ, لم عالمية استعملت دول. كلا عل قائمة وتنامت بمعارضة, ونتج مكثّفة وقدّموا أم ذات. الله والنفيس وصل كل, بشرية المحيط حتى بـ, لم أراض للسيطرة الأرضية لكل.',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-hosting.php' ),
                ),


				array(
					'type'    => 'subheading',
					'content' => 'بلوك جداول الأسعار',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-hosting.php' ),
				),

                array(
                    'id'      => 'host_pricetables_block_status',
                    'type'    => 'switcher',
                    'title'   => 'عروض الأستضافه',
                    'default' => true,
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-hosting.php' ),
                ),

                array(
                    'id'      => 'host_pricetables_block_title',
                    'type'    => 'text',
                    'title'   => 'العنوان',
                    'default' => 'عروض الاستضافه',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-hosting.php' ),
                ),
                array(
                    'id'          => 'host_pricetables_block_content',
                    'type'        => 'textarea',
                    'title'       => 'المحتوى',
                    'default' => 'احداث لإنعدام وتم لم, مما ما التي العظمى التكاليف. مع أسابيع الانجليزية على, و جيما محاولات مما, بعض المؤلّفة المعاهدات بل. جهة عن سابق أراض الحرة. الى احداث واستمر إذ, لم عالمية استعملت دول. كلا عل قائمة وتنامت بمعارضة, ونتج مكثّفة وقدّموا أم ذات. الله والنفيس وصل كل, بشرية المحيط حتى بـ, لم أراض للسيطرة الأرضية لكل.',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-hosting.php' ),
                ),




				/* ==========================================================================
				    designing
				========================================================================== */
				array(
					'type'    => 'subheading',
					'content' => 'بلوك المميزات',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-designing.php' ),
				),
		        array(
		            'id'              => 'design_features_group',
		            'type'            => 'group',
		            'title'           => 'المميزات',
		            'button_title'    => 'أضف ميزه جديده',
		            'accordion_title' => 'ميزه جديده',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-designing.php' ),
		            'fields'          => array(
		                array(
		                    'id'      => 'design_features_group_text',
		                    'type'    => 'text',
		                    'title'   => 'العنوان',
		                ),

		                array(
		                    'id'      => 'design_features_group_icon',
		                    'type'    => 'icon',
		                    'title'   => 'الايقونه',
		                    'default' => '',
		                ),

		                array(
		                    'id'          => 'design_features_group_content',
		                    'type'        => 'textarea',
		                    'title'       => 'المحتوى',
		                ),
		            ), // end of fields
		            'default' => array(
		                array(
		                    'design_features_group_text'       => 'تصميمات متنوعه',
		                    'design_features_group_icon'       => 'fa fa-check',
		                    'design_features_group_content'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
		                ),
		                array(
		                    'design_features_group_text'       => 'تصميمات متنوعه',
		                    'design_features_group_icon'       => 'fa fa-check',
		                    'design_features_group_content'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
		                ),
		                array(
		                    'design_features_group_text'       => 'تصميمات متنوعه',
		                    'design_features_group_icon'       => 'fa fa-check',
		                    'design_features_group_content'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
		                ),
		                array(
		                    'design_features_group_text'       => 'تصميمات متنوعه',
		                    'design_features_group_icon'       => 'fa fa-check',
		                    'design_features_group_content'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
		                ),
		            ) // end of defaults
		        ),

				array(
					'type'    => 'subheading',
					'content' => 'البلوك الثانى',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-designing.php' ),
				),

                array(
                    'id'      => 'design_second_block_status',
                    'type'    => 'switcher',
                    'title'   => 'حالة البلوك',
                    'default' => true,
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-designing.php' ),
                ),

                array(
                    'id'      => 'design_second_block_title',
                    'type'    => 'text',
                    'title'   => 'العنوان',
                    'default' => 'ابدأ تصميم موقعك الألكترونى معنا',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-designing.php' ),
                ),
                array(
                    'id'          => 'design_second_block_content',
                    'type'        => 'wysiwyg',
					'settings' => array(
						'textarea_rows' => 5,
						'media_buttons' => false,
					),
                    'title'       => 'المحتوى',
                    'default' => 'احداث لإنعدام وتم لم, مما ما التي العظمى التكاليف. مع أسابيع الانجليزية على, و جيما محاولات مما, بعض المؤلّفة المعاهدات بل. جهة عن سابق أراض الحرة. الى احداث واستمر إذ, لم عالمية استعملت دول. كلا عل قائمة وتنامت بمعارضة, ونتج مكثّفة وقدّموا أم ذات. الله والنفيس وصل كل, بشرية المحيط حتى بـ, لم أراض للسيطرة الأرضية لكل.',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-designing.php' ),
                ),
                array(
                    'id'      => 'design_second_block_url',
                    'type'    => 'text',
                    'title'   => 'رابط الطلب',
                    'default' => '#',
                    'attributes' => array('dir'=>'ltr'),
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-designing.php' ),
                ),

				array(
					'type'    => 'subheading',
					'content' => 'بلوك أخر الأعمال',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-designing.php' ),
				),
                array(
                    'id'      => 'latest_protfolio_block_status',
                    'type'    => 'switcher',
                    'title'   => 'حالة البلوك',
                    'default' => true,
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-designing.php' ),
                ),
				/* ==========================================================================
				    Programming
				========================================================================== */
				array(
					'type'    => 'subheading',
					'content' => 'بلوك المميزات',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-programming.php' ),
				),
		        array(
		            'id'              => 'programming_features_group',
		            'type'            => 'group',
		            'title'           => 'المميزات',
		            'button_title'    => 'أضف ميزه جديده',
		            'accordion_title' => 'ميزه جديده',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-programming.php' ),
		            'fields'          => array(
		                array(
		                    'id'      => 'programming_features_group_text',
		                    'type'    => 'text',
		                    'title'   => 'العنوان',
		                ),

		                array(
		                    'id'      => 'programming_features_group_icon',
		                    'type'    => 'icon',
		                    'title'   => 'الايقونه',
		                    'default' => '',
		                ),

		                array(
		                    'id'          => 'programming_features_group_content',
		                    'type'        => 'textarea',
		                    'title'       => 'المحتوى',
		                ),
		            ), // end of fields
		            'default' => array(
		                array(
		                    'programming_features_group_text'       => 'تصميمات متنوعه',
		                    'programming_features_group_icon'       => 'fa fa-check',
		                    'programming_features_group_content'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
		                ),
		                array(
		                    'programming_features_group_text'       => 'تصميمات متنوعه',
		                    'programming_features_group_icon'       => 'fa fa-check',
		                    'programming_features_group_content'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
		                ),
		                array(
		                    'programming_features_group_text'       => 'تصميمات متنوعه',
		                    'programming_features_group_icon'       => 'fa fa-check',
		                    'programming_features_group_content'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
		                ),
		                array(
		                    'programming_features_group_text'       => 'تصميمات متنوعه',
		                    'programming_features_group_icon'       => 'fa fa-check',
		                    'programming_features_group_content'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
		                ),
		            ) // end of defaults
		        ),

				array(
					'type'    => 'subheading',
					'content' => 'البلوك الثانى',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-programming.php' ),
				),

                array(
                    'id'      => 'programming_second_block_status',
                    'type'    => 'switcher',
                    'title'   => 'حالة البلوك',
                    'default' => true,
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-programming.php' ),
                ),

                array(
                    'id'      => 'programming_second_block_title',
                    'type'    => 'text',
                    'title'   => 'العنوان',
                    'default' => 'تطوير برمجيات خاصه بأحدث التقنيات',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-programming.php' ),
                ),
                array(
                    'id'          => 'programming_second_block_content',
                    'type'        => 'wysiwyg',
					'settings' => array(
						'textarea_rows' => 5,
						'media_buttons' => false,
					),
                    'title'       => 'المحتوى',
                    'default' => 'احداث لإنعدام وتم لم, مما ما التي العظمى التكاليف. مع أسابيع الانجليزية على, و جيما محاولات مما, بعض المؤلّفة المعاهدات بل. جهة عن سابق أراض الحرة. الى احداث واستمر إذ, لم عالمية استعملت دول. كلا عل قائمة وتنامت بمعارضة, ونتج مكثّفة وقدّموا أم ذات. الله والنفيس وصل كل, بشرية المحيط حتى بـ, لم أراض للسيطرة الأرضية لكل.',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-programming.php' ),
                ),

                array(
                    'id'      => 'programming_second_block_url',
                    'type'    => 'text',
                    'title'   => 'رابط الطلب',
                    'default' => '#',
                    'attributes' => array('dir'=>'ltr'),
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-programming.php' ),
                ),

		        array(
		            'id'              => 'programming_packages_group',
		            'type'            => 'group',
		            'title'           => 'الباقات',
		            'button_title'    => 'أضف جديد',
		            'accordion_title' => 'باقه جديده',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-programming.php' ),
		            'fields'          => array(
		                array(
		                    'id'      => 'text',
		                    'type'    => 'text',
		                    'title'   => 'العنوان',
		                ),
						array(
							'id'        => 'image',
							'type'      => 'image_select',
							'title'     => 'الصوره',
							'options'   => array(
								'programming-icon-a.png'    	=> get_template_directory_uri() .'/assets/images/offer-icons/programming-icon-a.png',
								'programming-icon-b.png'    	=> get_template_directory_uri() .'/assets/images/offer-icons/programming-icon-b.png',
								'programming-icon-c.png'    	=> get_template_directory_uri() .'/assets/images/offer-icons/programming-icon-c.png',
							),
							'default'   => 'programming-icon-a.png',
						),

		            ), // end of fields
		            'default' => array(
		                array(
		                    'text'        => 'برمجه خاصه',
		                    'image'       => 'programming-icon-a.png',
		                ),
		                array(
		                    'text'        => 'التكويد',
		                    'image'       => 'programming-icon-b.png',
		                ),
		                array(
		                    'text'        => 'برمجة تطبيقات',
		                    'image'       => 'programming-icon-c.png',
		                ),
		            ) // end of defaults
		        ),


				array(
					'type'    => 'subheading',
					'content' => 'بلوك أخر الأعمال',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-programming.php' ),
				),
                array(
                    'id'      => 'programming_latest_protfolio_block_status',
                    'type'    => 'switcher',
                    'title'   => 'حالة البلوك',
                    'default' => true,
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-programming.php' ),
                ),


				/* ==========================================================================
				    Seo and support
				========================================================================== */
				array(
					'type'    => 'subheading',
					'content' => 'بلوك عروض الدعم الفنى',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-seo-and-support.php' ),
				),
                array(
                    'id'      => 'support_block_status',
                    'type'    => 'switcher',
                    'title'   => 'العنوان',
                    'default' => true,
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-seo-and-support.php' ),
                ),
                array(
                    'id'      => 'support_block_title',
                    'type'    => 'text',
                    'title'   => 'العنوان',
                    'default' => 'نظام التعامل مع البنوك المصريه والسعوديه ؟ ',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-seo-and-support.php' ),
                ),
				array(
					'id'       => 'support_block_content',
					'type'     => 'wysiwyg',
					// 'title'    => 'Wysiwyg with Custom Settings',
					'settings' => array(
						'textarea_rows' => 5,
						'media_buttons' => false,
					),
                    'default' => 'وصغار وإقامة انتباه عرض قد. أن ضرب تاريخ أراضي ابتدعها, قائمة وحرمان الإتفاقية لمّ أم. من كان حادثة استراليا،. عن ذات حاول يتمكن, السادس الجنوبي الإحتفاظ كما إذ, أن ميناء العمليات الى. بتخصيص الغالي مسؤولية هذا هو, مع الإثنان للأراضي هذا.',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-seo-and-support.php' ),
				),


				array(
					'type'    => 'subheading',
					'content' => 'بلوك عروض الأرشفه',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-seo-and-support.php' ),
				),
                array(
                    'id'      => 'seo_block_status',
                    'type'    => 'switcher',
                    'title'   => 'حالة البلوك',
                    'default' => true,
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-seo-and-support.php' ),
                ),
                array(
                    'id'      => 'seo_block_title',
                    'type'    => 'text',
                    'title'   => 'العنوان',
                    'default' => 'العنوان',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-seo-and-support.php' ),
                ),
				array(
					'id'       => 'seo_block_content',
					'type'     => 'wysiwyg',
					// 'title'    => 'Wysiwyg with Custom Settings',
					'settings' => array(
						'textarea_rows' => 5,
						'media_buttons' => false,
					),
                    'default' => 'وصغار وإقامة انتباه عرض قد. أن ضرب تاريخ أراضي ابتدعها, قائمة وحرمان الإتفاقية لمّ أم. من كان حادثة استراليا،. عن ذات حاول يتمكن, السادس الجنوبي الإحتفاظ كما إذ, أن ميناء العمليات الى. بتخصيص الغالي مسؤولية هذا هو, مع الإثنان للأراضي هذا.',
					'dependency'     => array( 'page_template_type', '==', 'page-templates/page-seo-and-support.php' ),
				),
				/* ==========================================================================
				    END OF Seo and support
				========================================================================== */


			), // end: fields

		), // end: a section



		// array(
		// 	'name'  => 'section_2',
		// 	'title' => 'اعدادت',
		// 	'icon'  => 'fa fa-cog',

		// 		// begin: fields
		// 	'fields' => array(


		// 	), // end: fields

		// ), // end: a section



	),// end: all sections


);




// -----------------------------------------
// Page Side Metabox Options               -
// -----------------------------------------
$options[]    = array(
	'id'        => 'host_offer_options',
	'title'     => 'جداول العروض',
	'post_type' => 'host_offer',
	'context'   => 'normal',
	'priority'  => '',
	'sections'  => array(

		array(
			'name'   => 'section_3',
			'fields' => array(


				array(
					'id'        => 'host_offer_image',
					'type'      => 'image_select',
					'title'     => 'الصوره',
					'options'   => array(
						'host-offer-a.png'    	=> get_template_directory_uri() .'/assets/images/offer-icons/host-offer-a.png',
						'host-offer-b.png'    	=> get_template_directory_uri() .'/assets/images/offer-icons/host-offer-b.png',
						'host-offer-c.png'    	=> get_template_directory_uri() .'/assets/images/offer-icons/host-offer-c.png',
						'host-offer-d.png'    	=> get_template_directory_uri() .'/assets/images/offer-icons/host-offer-d.png',
					),
					'default'   => 'host-offer-d.png',
				),


		        array(
		            'id'              => 'host_offer_group',
		            'type'            => 'group',
		            'title'           => 'الجداول',
		            'button_title'    => 'أضف جدول جديد',
		            'accordion_title' => 'جدول جديد',
		            'fields'          => array(
		                array(
		                    'id'      => 'host_offer_group_title',
		                    'type'    => 'text',
		                    'title'   => 'اسم الخطه',
		                ),
		                array(
		                    'id'      => 'host_offer_group_price',
		                    'type'    => 'number',
		                    'title'   => 'السعر',
		                ),
		                array(
		                    'id'      => 'host_offer_group_currency',
		                    'type'    => 'text',
		                    'title'   => 'العمله',
		                    'default' => 'ريال',
		                ),
		                array(
		                    'id'      => 'host_offer_group_per',
		                    'type'    => 'text',
		                    'title'   => 'المده',
		                    'default' => 'شهريا',
		                ),

		                array(
		                    'id'          => 'host_offer_group_content',
		                    'type'        => 'textarea',
		                    'title'       => 'المحتوى',
		                ),
		                array(
		                    'id'      => 'host_offer_group_color',
		                    'type'    => 'select',
		                    'title'   => 'اللون',
		                    'class'   => 'chosen chosen-rtl',
							'options'  => array(
								'green'  => 'اخضر',
								'blue'   => 'ازرق',
								'red'    => 'أحمر',
								'yellow' => 'أصفر',
							),
							'default' => 'red',
		                ),
		                array(
		                    'id'      => 'host_offer_group_url',
		                    'type'    => 'text',
		                    'title'   => 'رابط الحجز',
		                    'attributes' => array( 'dir'=> 'ltr')
		                ),
		                array(
		                    'id'      => 'host_offer_group_featured',
		                    'type'    => 'switcher',
		                    'title'   => 'مميز ؟ ',
		                ),
		            ), // end of fields
		            'default' => array(
		                array(
		                    'host_offer_group_title'       	=> 'الشخصى',
		                    'host_offer_group_price'       	=> '150',
		                    'host_offer_group_currency'    	=> 'ريال',
		                    'host_offer_group_per'    		=> 'شهريا',
		                    'host_offer_group_content'    	=> 'تخزين غير محدود
قواعد بيانات غير محدوده
نطاقات غير محدوده
حسابات بريد
لوحة تحكم
قواعد بيانات
نطاقات موقوفه',

		                    'host_offer_group_color'    	=> 'green',
		                    'host_offer_group_url'    		=> 'http://www.webite.com',
		                    'host_offer_group_featured'    	=> false,
		                ),
		                array(
		                    'host_offer_group_title'       	=> 'المبتدئه',
		                    'host_offer_group_price'       	=> '150',
		                    'host_offer_group_currency'    	=> 'ريال',
		                    'host_offer_group_per'    		=> 'شهريا',
		                    'host_offer_group_content'    	=> 'تخزين غير محدود
قواعد بيانات غير محدوده
نطاقات غير محدوده
حسابات بريد
لوحة تحكم
قواعد بيانات
نطاقات موقوفه',
		                    'host_offer_group_color'    	=> 'blue',
		                    'host_offer_group_url'    		=> 'http://www.webite.com',
		                    'host_offer_group_featured'    	=> false,
		                ),
		                array(
		                    'host_offer_group_title'       	=> 'الأعمال',
		                    'host_offer_group_price'       	=> '150',
		                    'host_offer_group_currency'    	=> 'ريال',
		                    'host_offer_group_per'    		=> 'شهريا',
		                    'host_offer_group_content'    	=> 'تخزين غير محدود
قواعد بيانات غير محدوده
نطاقات غير محدوده
حسابات بريد
لوحة تحكم
قواعد بيانات
نطاقات موقوفه',
		                    'host_offer_group_color'    	=> 'red',
		                    'host_offer_group_url'    		=> 'http://www.webite.com',
		                    'host_offer_group_featured'    	=> true,
		                ),
		                array(
		                    'host_offer_group_title'       	=> 'المتميزه',
		                    'host_offer_group_price'       	=> '150',
		                    'host_offer_group_currency'    	=> 'ريال',
		                    'host_offer_group_per'    		=> 'شهريا',
		                    'host_offer_group_content'    	=> 'تخزين غير محدود
قواعد بيانات غير محدوده
نطاقات غير محدوده
حسابات بريد
لوحة تحكم
قواعد بيانات
نطاقات موقوفه',
		                    'host_offer_group_color'    	=> 'yellow',
		                    'host_offer_group_url'    		=> 'http://www.webite.com',
		                    'host_offer_group_featured'    	=> false,
		                ),
		            ) // end of defaults
		        ),


			),// end fields

		),// end section

	),// end sections
);







// -----------------------------------------
// SEO plan_options               -
// -----------------------------------------
$options[]    = array(
	'id'        => 'plan_options',
	'title'     => 'بيانات الخطه',
	'post_type' => 'plan',
	'context'   => 'normal',
	'priority'  => '',
	'sections'  => array(

		array(
			'name'   => 'section_3',
			'fields' => array(

                array(
                    'id'      => 'type',
                    'type'    => 'select',
                    'title'   => 'نوع الخطه',
                    'class'   => 'chosen chosen-rtl',
					'options'  => array(
						'seo'  		=> 'ارشفه',
						'support'  	=> 'دعم فنى',
					),
					'default' => 'seo',
                ),
                array(
                    'id'      => 'price',
                    'type'    => 'number',
                    'title'   => 'السعر',
                    'default' => '000',
                ),
                array(
                    'id'      => 'currency',
                    'type'    => 'text',
                    'title'   => 'العمله',
                    'default' => 'ريال',
                ),
                array(
                    'id'      => 'per',
                    'type'    => 'text',
                    'title'   => 'المده',
                    'default' => 'شهريا',
                    'default' => 'سنوى',
                ),

                array(
                    'id'      => 'color',
                    'type'    => 'select',
                    'title'   => 'اللون',
                    'class'   => 'chosen chosen-rtl',
					'options'  => array(
						'green'  => 'اخضر',
						'blue'   => 'ازرق',
						'red'    => 'أحمر',
						'yellow' => 'أصفر',
					),
					'default' => 'red',
                ),
                array(
                    'id'      => 'url',
                    'type'    => 'text',
                    'title'   => 'رابط الحجز',
                    'default' => '#',
                    'attributes' => array( 'dir'=> 'ltr')
                ),


			),// end fields

		),// end section

	),// end sections
);





// -----------------------------------------
// _custom_offer_options               -
// -----------------------------------------
$options[]    = array(
	'id'        => '_custom_offer_options',
	'title'     => 'اضافى',
	'post_type' => 'offer',
	'context'   => 'normal',
	'priority'  => '',
	'sections'  => array(

		array(
			'name'   => 'section_3',
			'fields' => array(

				array(
					'id'    => 'offer_icon_on',
					'type'  => 'switcher',
					'title' => 'استخدم الصوره المصغره ؟',
					'default' => false,
				),

				array(
					'id'    => 'offer_icon',
					'type'  => 'icon',
					'title' => 'الايقونه',
					'default' => 'fa fa-heart',
				),

				array(
					'id'      => 'offer_bg_color',
					'type'    => 'color_picker',
					'title'   => 'اللون',
					'default' => '#31b57b',
				),


			),// end fields

		),// end section

	),// end sections
);



// $options      = array();
CSFramework_Metabox::instance( $options );
