<?php
// roomcount
// usercount

add_filter( 'rwmb_meta_boxes', 'chat_voice_register_meta_boxes' );

function chat_voice_register_meta_boxes( $meta_boxes )
{

	$prefix = 'chat_voice_';
	// 1st meta box
	$meta_boxes[] = array(
		'id'         => 'serv-chat-voice',
		'title'      => __( 'خيارات خطة الدردشه الصوتيه', 'meta-box' ),
		'post_types' => array( 'plan'),
		'context'    => 'normal',
		'priority'   => 'low',
		'autosave'   => false,
		'fields'     => array(
			array(
				'name'  => __( 'عدد الغرف: ', 'meta-box' ),
				'id'    => "{$prefix}roomcount",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'  => __( 'عدد المستخدمين : ', 'meta-box' ),
				'id'    => "{$prefix}usercount",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
		)
	);

	return $meta_boxes;
}