<?php
/*
 * Template Name: من نحن
*/
get_header(); ?>

<?php get_template_hero_section(get_the_title()); ?>


<?php while ( have_posts() ) : the_post(); ?>

<section class="main-content clearfix">
    <div class="maincontent-inner">
    	<div class="container">
	        <div class="row">

				<div class="col-md-12">
					<div class="main-entry">
						
						


							<h1 class="hero-title wow zoomIn"  data-wow-duration="1s">
								<?php the_title();  ?>
							</h1>
							
							<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

								<div class="entry-content wow zoomIn"  data-wow-duration="1s">
									<?php the_content(); ?>
								</div><!-- .entry-content -->

							</article><!-- #post-## -->

						

					</div><!--end of main-entry-->
				</div><!--end of column-->

	        </div><!--end of row-->
        </div>
    </div><!--end of container-->
</section><!--end of main-content-->




<?php 
	$meta = get_post_meta( get_the_ID() , '_custom_page_options' , true );
?>

<?php if ( $meta['skills_block_status'] ): ?>
<section class="section about-addons sec-dark">
	<div class="section-inner">
		<div class="container">

			<h1 class="hero-title wow zoomIn"  data-wow-duration="1s">
				<?=$meta['about_us_title']?>
			</h1>
			<div class="hero-par wow zoomIn"  data-wow-duration="1s">
				<?=$meta['about_us_content']?>
			</div>

			<div class="row">
				
				<div class="col-md-6 progress-bars wow slideInRight"  data-wow-duration="1s">

					<?php if (!empty($meta['abous_us_bars'])): ?>
						<?php foreach ($meta['abous_us_bars'] as $key => $singlebar): ?>

							<h3><?php echo $singlebar['bar_title'] ?></h3>
							<div class="progress <?php echo $singlebar['bar_color'] ?>">
								<div class="progress-bar" role="progressbar" aria-valuenow="<?php echo $singlebar['bar_percent'] ?>" aria-valuemin="0" aria-valuemax="100" style="width: <?php echo $singlebar['bar_percent'] ?>%;">
									<span><span><?php echo $singlebar['bar_percent'] ?>%</span></span>
								</div>
							</div>

						<?php endforeach ?>
					<?php endif ?>

				</div><!--end of column-->

				<div class="col-md-6  wow slideInLeft"  data-wow-duration="1s">
					<div class="panel-group cs-panel-group" id="accordion">

						<?php if (!empty($meta['abous_us_pro'])): ?>
							<?php foreach ($meta['abous_us_pro'] as $key => $singlepro): ?>

							    <div class="panel cs-panel">
							        <div class="panel-heading" role="tab" id="head-<?=$key?>">
							            <h4 class="panel-title">
							                <a class="" data-toggle="collapse" data-parent="#accordion" href="#panel-<?=$key?>" aria-expanded="true" aria-controls="panel-<?=$key?>">
							                    <?php echo $singlepro['abous_us_pro_title'] ?>
							                </a>
							            </h4>
							        </div>
							        <div id="panel-<?=$key?>" class="panel-collapse collapse <?php echo ($key==0)?'in':''; ?>">
							            <div class="panel-body">
							                <?php echo $singlepro['abous_us_pro_content'] ?>
							            </div>
							        </div>
							    </div><!--end of panel-->

							<?php endforeach ?>
						<?php endif ?>

					</div><!--end of panel-group-->
				</div><!--end of column-->

			</div><!--end of row-->

		</div><!--end of container-->
	</div><!--end of section-inner-->
</section><!--end of section-->
<?php endif ?>

<?php if ($meta['aboutus_gallery_block_status']): ?>
<section class="section home-contact sec-grey">
	<div class="section-inner">
		<div class="container">
		
			<div class="row">
				
				<?php 
					if ( !empty( $meta['aboutus_gallery'] ) ): 
					$galleryids = explode( ',', $meta['aboutus_gallery'] );
				?>
					<?php 
					foreach ($galleryids as $value): 
					$attachment_thumb 	= wp_get_attachment_image_src( $value, 'medium' );
					$attachment_full 	= wp_get_attachment_image_src( $value, 'full' );
					$src_thumb = $attachment_thumb[0];
					$src_full = $attachment_full[0];
					?>
						
						<div class="col-md-3">
							<div class="about-thumb-item wow zoomIn"  data-wow-duration="1s">
								<a class="fancybox" rel="gallery" href="<?php echo $src_full; ?>">
									<img width="100%" src="<?php echo $src_thumb; ?>" alt="">
								</a>
							</div>
						</div>

					<?php endforeach ?>
					
				<?php endif ?>

			</div><!--end of row-->

		</div><!--end of container-->
	</div><!--end of section-inner-->
</section><!--end of section-->
<?php endif ?>


<?php endwhile; ?>

<?php get_footer(); ?>