
<?php
/*
 * Template Name: الاستضافه
*/
get_header(); ?>


<div class="text-center">
	<?php get_template_hero_section('' , 510); ?>
</div>

<?php while ( have_posts() ) : the_post(); ?>


<?php 
	$meta = get_post_meta( get_the_ID() , '_custom_page_options' , true );
	// print_r($meta);
?>
	
<section class="main-content clearfix">
    <div class="maincontent-inner">
    	<div class="container">
	        <div class="row">

				<div class="col-md-12">
					<div class="main-entry">
						
						<h1 class="hero-title wow zoomIn"  data-wow-duration="1s">
							<?php the_title();  ?>
						</h1>
						
						<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

							<div class="entry-content wow zoomIn"  data-wow-duration="1s">
								<?php the_content(); ?>
							</div><!-- .entry-content -->

						</article><!-- #post-## -->


						<?php if ( $meta['host_features_group'] ): ?>
						<div class="iconic-grid">
							<div class="row">

					            <pre dir="ltr" class="hidden">
					                <?php print_r( $meta['host_features_group'] ) ?>
					            </pre>
					            <?php foreach ( $meta['host_features_group'] as $key => $featuregroup): ?>
									<div class="col-md-3">
										<div class="item-icon wow zoomIn"  data-wow-duration="1s">
											<span>
												<i class="<?php echo $featuregroup['host_features_group_icon'] ?>"></i>
											</span>
											<h4><?php echo $featuregroup['host_features_group_text'] ?></h4>
											<p>
												<?php echo $featuregroup['host_features_group_content'] ?>
											</p>
										</div><!--end of icon-item-->
									</div><!--end of column-->
					            <?php endforeach ?>

							</div><!--end of row-->
						</div><!--end of iconic-grid-->
						<?php endif ?>


					</div><!--end of main-entry-->
				</div><!--end of column-->

	        </div><!--end of row-->
        </div>
    </div><!--end of container-->
</section><!--end of main-content-->






<?php if ( $meta['host_offers_block_status'] ): ?>
<section class="section  sec-dark">
	<div class="section-inner">
		<div class="container">


			<h1 class="hero-title wow zoomIn"  data-wow-duration="1s">
				<?php echo $meta['host_offers_block_title'];  ?>
			</h1>
			<div class="hero-par wow zoomIn"  data-wow-duration="1s">
				<?php echo $meta['host_offers_block_content'];  ?>
			</div>


			<div class="host-packages">
				<div class="row">

					<?php
					$host_offer_args = array(
					    'post_type' => 'host_offer',
					);
					$host_offer_query = new WP_Query( $host_offer_args );
					$host_offerx=0;
					?>

					<?php if ( $host_offer_query->have_posts() ) : ?>
						<?php 
						while ( $host_offer_query->have_posts() ) : $host_offer_query->the_post(); $host_offerx++; 
						$package_meta = get_post_meta( get_the_ID() , 'host_offer_options' , true );
						$package_image = $package_meta['host_offer_image'];
						?>


							<div class="col-md-3">
								<div class="host-package <?php echo ($host_offerx==1)?'active':''; ?> wow zoomIn"  data-wow-duration="1s">
									<a href="#" data-target="#package-<?=$host_offerx?>" class="host-package-link">
										<div class="thumb">
											<img src="<?php echo get_template_directory_uri() ?>/assets/images/offer-icons/<?php echo $package_image; ?>" alt="<?php the_title() ?>">
										</div>
										<h3>
											<?php the_title() ?>
										</h3>
									</a>
								</div><!--end of host-package-->
							</div><!--end of column-->

							<?php if ($host_offerx == 4): $host_offerx=0; ?>
								<div class="col-md-12"><p class="clearfix"></p> </div>
							<?php endif ?>

					    <?php endwhile; ?>
					<?php endif; ?>
					<?php wp_reset_postdata(); ?>
					

				</div><!--end of row-->
			</div><!--end of host-packages-->



		</div><!--end of container-->
	</div><!--end of section-inner-->
</section><!--end of section-->
<?php endif ?>







<?php
$host_offer_args = array(
    'post_type' => 'host_offer',
);
$host_offer_query = new WP_Query( $host_offer_args );
$host_offerx=0;
?>

<?php if ( $host_offer_query->have_posts() ) : ?>
	<?php 
	while ( $host_offer_query->have_posts() ) : $host_offer_query->the_post(); $host_offerx++; 
	$package_meta = get_post_meta( get_the_ID() , 'host_offer_options' , true );
	$package_image = $package_meta['host_offer_image'];
	?>

	<section id="package-<?=$host_offerx?>" class="section section-host-package">
		<div class="section-inner">
			<div class="container">
				

				<h1 class="hero-title wow zoomIn"  data-wow-duration="1s">
					<?php the_title() ?>
				</h1>
				<div class="hero-par wow zoomIn"  data-wow-duration="1s">
					<?php the_content() ?>
				</div>


				<?php if ( $package_meta['host_offer_group'] ): ?>
				<div class="price-tables" id="price_content_holder">
					<div class="row pt-row">
						
						<?php 
						foreach ($package_meta['host_offer_group'] as $key => $value): 
						// host_offer_group_title
						// host_offer_group_price
						// host_offer_group_currency
						// host_offer_group_per
						// host_offer_group_content
						// host_offer_group_color
						// host_offer_group_url
						// host_offer_group_featured
						$featured 			= (isset($value['host_offer_group_featured']))?'featured':"";
						$table_list  		= $value['host_offer_group_content'];
						$table_list     	= str_replace( "\r", "\n", str_replace( "\r\n", "\n", $table_list ) );
						$host_table_items 	= explode( "\n", $table_list );

						?>
						<div class="col-md-3">
							<div class="pricetable <?=$value['host_offer_group_color']?> <?=$featured?> wow zoomIn"  data-wow-duration="1s">
								<div class="table-head">
									<span class="title"><?=$value['host_offer_group_title']?></span>
									<div class="pper">
										<span><?=$value['host_offer_group_per']?></span>
										<span>/</span>
										<span class="en"><?=$value['host_offer_group_price']?></span>
										<span><?=$value['host_offer_group_currency']?></span>
										<div><i class="fa fa-server"></i></div>
									</div>
								</div>
								<ul>
									<?php foreach ($host_table_items as $table_item): ?>
										<?php if ( !empty( $table_item ) ): ?>
											<li><?php echo $table_item  ?></li>
										<?php endif; ?>
									<?php endforeach; ?>
								</ul>
								<a href="<?=$value['host_offer_group_url']?>" class="btn btn-block">أطلب الأن</a>
							</div><!--end of price-table-->
						</div><!--end of column-->
						<?php endforeach ?>

					</div><!--end of table-row-->
				</div><!--end of price-tables-->
				<?php endif ?>





			</div><!--end of container-->
		</div><!--end of section-inner-->
	</section><!--end of section-->


    <?php endwhile; ?>
<?php endif; ?>
<?php wp_reset_postdata(); ?>





<?php if ( $meta['host_pricetables_block_status'] ): ?>
<section class="section home-features hidden">
	<div class="section-inner">
		<div class="container">


			<h1 class="hero-title wow zoomIn"  data-wow-duration="1s">
				<?php echo $meta['host_pricetables_block_title'];  ?>
			</h1>
			<div class="hero-par wow zoomIn"  data-wow-duration="1s">
				<?php echo $meta['host_pricetables_block_content'];  ?>
			</div>


			<?php if ( $meta['host_features_group'] ): ?>
			<div class="iconic-grid">
				<div class="row">


		            <?php foreach ( $meta['host_pricetables_block_group'] as $key => $pricetablesgroup): ?>
		            <pre dir="ltr" class="hidden">
		                <?php print_r( $pricetablesgroup ) ?>
		            </pre>
		            <?php endforeach ?>

				</div><!--end of row-->
			</div><!--end of iconic-grid-->
			<?php endif ?>



		</div><!--end of container-->
	</div><!--end of section-inner-->
</section><!--end of section-->
<?php endif ?>

<?php endwhile; ?>

<?php get_footer(); ?>