<?php
/**
 * The template for displaying pages
 *
 * @package WordPress
 */

get_header(); ?>

<section class="main-content clearfix">
    <div class="maincontent-inner">
    	<div class="container">
	        <div class="row">

				<div class="col-md-8">
					<div class="main-entry">
						
						<?php
						// Start the loop.
						while ( have_posts() ) : the_post();
						?>

						<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
							<header class="entry-header">
								<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

								<div class="entry-meta">
									<?php // serv_posted_on(); ?>
								</div><!-- .entry-meta -->
							</header><!-- .entry-header -->

							<div class="entry-content">
								<?php the_content(); ?>
							</div><!-- .entry-content -->

							<footer class="entry-footer">
								<?php // serv_entry_footer(); ?>
							</footer><!-- .entry-footer -->
						</article><!-- #post-## -->

						<?php 
							// If comments are open or we have at least one comment, load up the comment template.
							// if ( comments_open() || get_comments_number() ) :
							// 	comments_template();
							// endif;
						// End the loop.
						endwhile;
						?>

					</div><!--end of main-entry-->
				</div><!--end of column-->

				<?php get_sidebar(); ?>

	        </div><!--end of row-->
        </div>
    </div><!--end of container-->
</section><!--end of main-content-->


<?php get_footer(); ?>