<div id="comments">

	<?php if ( post_password_required() ) : ?>
		<p class="nopassword"><?php _e( 'This post is password protected. Enter the password to view any comments.', 'doanha' ); ?></p>
		</div><!-- #comments -->
	<?php
		return;
		endif;
	?>

	<?php if ( have_comments() ) : ?>

		<h3 class="comment_title">
			<?php comments_number(__('No comments','doanha'), __('One comment','doanha'), '% '.__('comments','doanha') );?>
		</h3>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :  ?>
			<div class="navigation">
				<div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Older Comments', 'doanha' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( __( 'Newer Comments <span class="meta-nav">&rarr;</span>', 'doanha' ) ); ?></div>
			</div> <!-- .navigation -->
		<?php endif; ?>

		<?php //$comments_by_type = &separate_comments($comments); ?>
		<?php if ( !empty($comments_by_type['comment']) ) : ?>
			<ol class="commentlist"><?php wp_list_comments('type=comment&callback=doanha_comments'); ?></ol>
		<?php endif; ?>    

		<?php $comment_counter = 0 ; ?>

		<?php if ( !empty($comments_by_type['pings']) ) : ?>
			<div id="pings" class="commentlist">
				<ol class="pinglist"><?php wp_list_comments('type=pings&trackback&pingback&callback=custom_pings'); ?></ol>
			</div>
		<?php endif; ?>	

	<?php endif; ?>


	<?php if ( ! comments_open() ) : ?>
		<p class="nocomments"><?php _e( 'Comments are closed.', 'doanha' ); ?></p>
	<?php endif; ?>

	<?php comment_form(); ?>

</div><!-- #comments -->
