<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// METABOX OPTIONS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options      = array();

// -----------------------------------------
// Page Metabox Options                    -
// -----------------------------------------
$options[]    = array(
	'id'        => '_custom_page_options',
	'title'     => 'اعدادت الصفحات',
	'post_type' => 'page',
	'context'   => 'normal',
	'priority'  => 'default',
	'sections'  => array(

			// begin: a section
		array(
			'name'  => 'section_1',
			'title' => 'اعدادت',
			'icon'  => 'fa fa-cog',

				// begin: fields
			'fields' => array(

				array(
					'id'             => 'page_template_type',
					'type'           => 'select',
					'title'          => 'نوع الصفحه',
					'options'        => array(
						'design'          	=> 'صفحه التصميم',
						'host'     			=> 'صفحه الاستضافه',
						'offers'         	=> 'صفحه العروض',
					),
					'default_option' => 'اختر نوع الصفحه',
					'class'			 => ''
				),


				// array(
				// 	'type'    => 'subheading',
				// 	'content' => 'بلوك المميزات',
				// 	'dependency'     => array( 'page_template_type', '==', 'design' ),
				// ),

		        array(
		            'id'              => 'homeservices_group',
		            'type'            => 'group',
		            // 'title'           => 'المميزات',
        			'before' 		  => '<h4>المميزات</h4>',
		            'button_title'    => 'أضف ميزه جديده',
		            'accordion_title' => 'ميزه جديده',
		            'dependency'     => array( 'page_template_type', '==', 'design' ),
		            'fields'          => array(
		                array(
		                    'id'      => 'homefeatures_group_text',
		                    'type'    => 'text',
		                    'title'   => 'العنوان',
		                ),

		                array(
		                    'id'      => 'homefeatures_group_icon',
		                    'type'    => 'icon',
		                    'title'   => 'الايقونه',
		                    'default' => '',
		                ),

		                array(
		                    'id'          => 'homefeatures_group_content',
		                    'type'        => 'textarea',
		                    'title'       => 'المحتوى',
		                ),
		            ), // end of fields
		            'default' => array(
		                array(
		                    'homefeatures_group_text'       => 'تصميمات متنوعه',
		                    'homefeatures_group_icon'       => 'fa fa-check',
		                    'homefeatures_group_content'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
		                ),
		                array(
		                    'homefeatures_group_text'       => 'تصميمات متنوعه',
		                    'homefeatures_group_icon'       => 'fa fa-check',
		                    'homefeatures_group_content'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
		                ),
		                array(
		                    'homefeatures_group_text'       => 'تصميمات متنوعه',
		                    'homefeatures_group_icon'       => 'fa fa-check',
		                    'homefeatures_group_content'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
		                ),
		                array(
		                    'homefeatures_group_text'       => 'تصميمات متنوعه',
		                    'homefeatures_group_icon'       => 'fa fa-check',
		                    'homefeatures_group_content'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
		                ),
		            ) // end of defaults
		        ),




			    array(
			        'id'              => 'example_mu_group_2',
			        'type'            => 'groupmu',
			        // 'title'           => 'الخدمات',
        			'before' => '<h4>بلوكات الصفحه</h4>',
			        'button_title'    => 'أضف خدمه جديده',
			        'accordion_title' => 'خدمه جديده',
			        'buttons'          => array(
			            array(
			                'button_title'      => 'بلوك المميزات',
			                'group'             => 'first_mu_group',
			            ),
			            array(
			                'button_title'      => 'بلوك اتصل بنا',
			                'group'             => 'sec_mu_group',
			            ),
			            array(
			                'button_title'      => 'بلوك أخر الأعمال',
			                'group'             => 'third_mu_group',
			            ),
			        ), // end of fields

			        'groups'          => array(
			                'first_mu_group' => array(
			                    'id'              => 'first_mu_group',
			                    'type'            => 'group',
			                    'title'           => 'first-mu-group',
			                    'button_title'    => 'first-mu-group',
			                    'accordion_title' => 'بلوك المميزات',
			                    'fields'          => array(
			                        array(
			                            'id'      => 'first_mu_group_aaa',
			                            'type'    => 'text',
			                            'title'   => 'العنوان',
			                        ),

			                        array(
			                            'id'      => 'first_mu_group_bbb',
			                            'type'    => 'icon',
			                            'title'   => 'الايقونه',
			                            'default' => '',
			                        ),

			                        array(
			                            'id'          => 'first_mu_group_ccc',
			                            'type'        => 'textarea',
			                            'title'       => 'المحتوى',
			                        ),
			                    ), // end of fields
			                ), // end group
			                'sec_mu_group' => array(
			                    'id'              => 'sec_mu_group',
			                    'type'            => 'group',
			                    'title'           => 'sec-mu-group',
			                    'button_title'    => 'sec-mu-group',
			                    'accordion_title' => 'بلوك اتصل بنا',
			                    'fields'          => array(
			                        array(
			                            'id'      => 'sec_mu_group_aaa',
			                            'type'    => 'text',
			                            'title'   => 'العنوان',
			                        ),

			                        array(
			                            'id'      => 'sec_mu_group_bbb',
			                            'type'    => 'icon',
			                            'title'   => 'الايقونه',
			                            'default' => '',
			                        ),

			                        array(
			                            'id'          => 'sec_mu_group_ccc',
			                            'type'        => 'textarea',
			                            'title'       => 'المحتوى',
			                        ),
			                    ), // end of fields
			                ), // end group
			        ), // end of groups

			        // 'default' => array(
			        //     array(
			        //         'first_mu_group_aaa'       => 'تصميمات متنوعه',
			        //         'first_mu_group_bbb'       => '',
			        //         'first_mu_group_ccc'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
			        //     ),
			        //     array(
			        //         'sec_mu_group_aaa'       => 'تصميمات متنوعه',
			        //         'sec_mu_group_bbb'       => '',
			        //         'sec_mu_group_ccc'    => 'كردة الخاصّة على بـ. ببعض ليركز موالية ثم مكن. أخر و السبب',
			        //     ),
			        // ), // end of defaults

			    ),


	
				array(
				  'type'    => 'heading',
				  'content' => '',
				),

			), // end: fields
		), // end: a section


		//  ssssssssssssssssssssssssssssssssssssssssss
		// array(
		// 	'name'   => 'section_4',
		// 	'fields' => array(

		// 		array(
		// 			'id'    => 'section_4_text',
		// 			'type'  => 'text',
		// 			'title' => 'Text Field',
		// 		),

		// 	),
		// ),

	),// end: all sections
);



// -----------------------------------------
// Post Metabox Options                    -
// -----------------------------------------
$options[]    = array(
	'id'        => '_custom_post_options',
	'title'     => 'Custom Post Options',
	'post_type' => 'post',
	'context'   => 'normal',
	'priority'  => 'default',
	'sections'  => array(

		array(
			'name'   => 'section_4',
			'fields' => array(

				array(
					'id'    => 'section_4_text',
					'type'  => 'text',
					'title' => 'Text Field',
				),

				array(
					'id'    => 'section_4_textarea',
					'type'  => 'textarea',
					'title' => 'Textarea Field',
				),

				array(
					'id'    => 'section_4_upload',
					'type'  => 'upload',
					'title' => 'Upload Field',
				),

				array(
					'id'    => 'section_4_switcher',
					'type'  => 'switcher',
					'title' => 'Switcher Field',
					'label' => 'Yes, Please do it.',
				),

			),
		),

	),
);

CSFramework_Metabox::instance( $options );
