<?php
/*
 * Template Name: المشاريع
*/
get_header(); ?>


<?php get_template_hero_section(get_the_title()); ?>

<section class="section inner-content">
	<div class="section-inner">
		<div class="container">


			<?php while ( have_posts() ) : the_post(); ?>


				<h1 class="hero-title wow zoomIn"  data-wow-duration="1s">
					<?php the_title();  ?>
				</h1>
				
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

					<div class="entry-content wow zoomIn"  data-wow-duration="1s">
						<?php the_content(); ?>
					</div><!-- .entry-content -->

				</article><!-- #post-## -->

			<?php endwhile; ?>


			<ul class="pnav list-inline text-center wow fadeInDown"  data-wow-duration="1s">
				<li class="active">
					<a href="#" class="filter" data-filter="all">كل الأعمال</a>
				</li>
				<?php foreach (get_taxonomy_terms('project_cat') as $termid => $termname): ?>
				<li>
					<a href="#" class="filter" data-filter=".category-<?php echo $termid; ?>">
						<?php echo $termname; ?>
					</a>
				</li>
			<?php endforeach; ?>
			</ul>

			<div class="mix-container row">
				<?php
				$portfolio_args = array(
				    'post_type' 		=> 'project',
				    'posts_per_page' 	=> 8
				);
				$portfolio_query = new WP_Query( $portfolio_args );
				if ( $portfolio_query->have_posts() ) :
					while ( $portfolio_query->have_posts() ) : $portfolio_query->the_post();
						$terms_classess = get_taxonomy_terms_classess( get_the_ID(), 'project_cat' );
						
						?>
						<div class="mix col-md-3 <?php echo $terms_classess; ?>">
							<?php 
								$thumb_id = get_post_thumbnail_id();
								$thumb_url_array = wp_get_attachment_image_src($thumb_id, 'thumbnail-size', true);
								$full_url_array = wp_get_attachment_image_src($thumb_id, 'full', true);
								$thumb_url = $thumb_url_array[0];
								$full_url = $full_url_array[0];
							?>
							<div class="pitem wow zoomIn"  data-wow-duration="1s">
								<a href="<?php echo $thumb_url; ?>" data-lightbox="roadtrip">
									<?php the_post_thumbnail(array(300 , 300)); ?>
								</a>									
								<div class="caption">
									<a class="fancybox" rel="gallery" href="<?php echo $full_url; ?>">
										<?php the_title(); ?>
									</a>
								</div>
							</div><!--end of pitem-->
						</div>
						<?php
				    endwhile;
				endif;
				wp_reset_postdata();
				?>

			</div><!--end of mix-container-->
			<div class="clearfix">&nbsp;</div>
			<p class="text-center">
				<a class="btn load_more btn-red btn-big" data-nonce="<?php echo wp_create_nonce('load_posts') ?>" href="javascript:;">المزيد</a>
			</p>

			<ul class="arrnav list-inline text-center hidden">
				<li><a href="" title="">المزيد</a></li>
			</ul>

		</div><!--end of container-->
	</div><!--end of section-inner-->
</section><!--end of section-->


<?php get_footer(); ?>