<?php
/**
 * The template for displaying search results pages.
 *
 * @package WordPress
 */

get_header(); ?>

<section class="main-content clearfix">
    <div class="maincontent-inner">
    	<div class="container">
	        <div class="row">

				<div class="col-md-8">
					<div class="main-entry">

						<?php if ( have_posts() ) : ?>

							<header class="page-header">
								<h1 class="page-title"><?php printf( __( 'نتائج البحث عن : %s', 'ta3limi' ), get_search_query() ); ?></h1>
							</header><!-- .page-header -->

							<?php while ( have_posts() ) : the_post(); ?>


								<article id="post-<?php the_ID(); ?>" <?php post_class(array('post-card' ,'thumb-right')); ?>>
									<header class="entry-header">
										<h1 class="entry-title">
											<a href="<?php the_permalink() ?>"><?php the_title() ?></a>
										</h1>
									</header><!-- .entry-header -->

									<div class="entry-content">
										<?php the_excerpt(); ?>
									</div><!-- .entry-content -->
								</article><!-- #post-## -->

							<?php endwhile; ?>
							
							<?php
							// Previous/next page navigation.
							the_posts_pagination( array(
								'prev_text'          => __( 'السابق', 'ta3limi' ),
								'next_text'          => __( 'التالى', 'ta3limi' ),
								'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'الصفحه ', 'ta3limi' ) . ' </span>',
							) ); ?>

						<?php endif; ?>

					</div><!--end of main-entry-->
				</div><!--end of column-->

				<?php get_sidebar(); ?>

	        </div><!--end of row-->
        </div>
    </div><!--end of container-->
</section><!--end of main-content-->

<?php get_footer(); ?>