<?php

add_filter( 'rwmb_meta_boxes', 'prefix_banks_meta_register_meta_boxes' );

function prefix_banks_meta_register_meta_boxes( $meta_boxes )
{

	$prefix = 'banks_meta_';
	// 1st meta box
	$meta_boxes[] = array(
		'id'         => 'banks_meta_meta_boxes',
		'title'      => __( 'بيانات الحساب', 'meta-box' ),
		'post_types' => array( 'bank'),
		'context'    => 'normal',
		'priority'   => 'low',
		'autosave'   => false,
		'fields'     => array(
			array(
				'name'  => __( 'المستفيد:', 'meta-box' ),
				'id'    => "{$prefix}for",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'  => __( 'رقم الحساب:', 'meta-box' ),
				'id'    => "{$prefix}id",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'  => __( 'الفرع:', 'meta-box' ),
				'id'    => "{$prefix}branch",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),


		)
	);

	return $meta_boxes;
}

