<?php
// masteruser
// textuser

add_filter( 'rwmb_meta_boxes', 'chat_flash_register_meta_boxes' );

function chat_flash_register_meta_boxes( $meta_boxes )
{

	$prefix = 'chat_flash_';
	// 1st meta box
	$meta_boxes[] = array(
		'id'         => 'serv-chat-flash',
		'title'      => __( 'خيارات خطة الدردشه الفلاشيه', 'meta-box' ),
		'post_types' => array( 'plan'),
		'context'    => 'normal',
		'priority'   => 'low',
		'autosave'   => false,
		'fields'     => array(
			array(
				'name'  => __( 'مستخدم ماستر:', 'meta-box' ),
				'id'    => "{$prefix}masteruser",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'  => __( 'مستخدم كتابي : ', 'meta-box' ),
				'id'    => "{$prefix}textuser",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
		)
	);

	return $meta_boxes;
}