<?php
/*-----------------------------------------------------------------------------------*/
# 
/*-----------------------------------------------------------------------------------*/

add_filter( 'rwmb_meta_boxes', 'features_page_sections_register_meta_boxes' );

function features_page_sections_register_meta_boxes( $meta_boxes )
{

	$prefix = 'features_page_section_';
	// 1st meta box
	$meta_boxes[] = array(
		'id'         => 'page-sctions-features',
		'title'      => __( 'المميزات', 'meta-box' ),
		'post_types' => array( 'service'),
		'context'    => 'normal',
		'priority'   => 'low',
		'autosave'   => false,
		'fields'     => array(
			// POST
			array(
				'name'        => __( 'المميزات', 'meta-box' ),
				'id'          => "{$prefix}features",
				'type'        => 'post',
				// Post type
				'post_type'   => 'feature_item',
				// Field type, either 'select' or 'select_advanced' (default)
				'field_type'  => 'select_advanced',
				'placeholder' => __( 'اختر ميزه', 'meta-box' ),
				// Query arguments (optional). No settings means get all published posts
				'query_args'  => array(
					'post_status'    => 'publish',
					'posts_per_page' => - 1,
				),
				'clone'   => true,
			),
		)
	);

	return $meta_boxes;
}