<?php
/**
 * The template for displaying all single posts and attachments
 *
 * @package WordPress
 */

get_header(); ?>

<section class="main-content clearfix">
    <div class="maincontent-inner">
    	<div class="container">
	        <div class="row">

				<div class="col-md-12">
					<div class="main-entry">
						
						<?php
						// Start the loop.
						while ( have_posts() ) : the_post();
						?>

						<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						
							<header class="entry-header">
								<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
							</header><!-- .entry-header -->

							<div class="entry-content">
								<?php the_content(); ?>
							</div><!-- .entry-content -->

						</article><!-- #post-## -->

						<?php 
						endwhile;
						?>

					</div><!--end of main-entry-->
				</div><!--end of column-->


	        </div><!--end of row-->
        </div>
    </div><!--end of container-->
</section><!--end of main-content-->


<?php get_footer(); ?>