jQuery(document).ready(function($) {

	function goToByScroll(id){
	      // Scroll
	    $('html,body').animate({
	        scrollTop: $(id).offset().top-50},
	        'slow');
	}

	new WOW().init();
	
	$(window).load(function(){
		$('.flexslider').flexslider({
			animation: "slide",
			start: function(slider){
				// $('body').removeClass('loading');
			}
		});
	});


	$('.host-package a').on('click', function(event) {
		event.preventDefault();
		$('.section-host-package').hide();
		$('.host-package').removeClass('active');
		$(this).closest('.host-package').addClass('active');
		var iddd = $(this).data('target');
		$(iddd).slideDown('slow', function() {
			goToByScroll($(iddd)); 
		});

	});



	$('a.plan-preview').on('click', function(event) {
		event.preventDefault();
		$(this).closest('.plans-container').find('.preview-item').slideUp('slow');
		var iddd = $(this).data('target');

		$(iddd).slideDown('slow', function() {
			goToByScroll($(iddd)); 
		});

	});



	var our_clients = $(".our-clients .our-clients-carousal");
	if( our_clients.length && $.fn.owlCarousel != 'undefined' ){

		our_clients.owlCarousel({
		    // animateOut: 'slideOutDown',
		    // animateIn: 'flipInX',
		    // smartSpeed:450,
			rtl: true,
		    loop:true,
		    margin:10,
		    responsiveClass:true,
		    items:4,
		    nav:false,
		    dots:false,
		});

		// Custom Navigation Events
		$(".our-clients .next a").click(function(){
			our_clients.trigger('next.owl.carousel');
			return false;
		});

		$(".our-clients .prev a").click(function(){
			our_clients.trigger('prev.owl.carousel');
			return false;
		});

	} // if element exist && if plugin loaded



	// Instantiate MixItUp:
	if( $('.mix-container').length ){
		$('.mix-container').mixItUp();
	}


	$('.pnav li a').on('click', function(event) {
		event.preventDefault();
		$('.pnav li').removeClass('active');
		$(this).closest('li').addClass('active');
	});




	$("a.fancybox").fancybox({
		openEffect	: 'elastic',
		closeEffect	: 'elastic',
		autoScale   : true,
	});










	//javasctipt 
	//load more click function: improved to prevent double click and fire funciton only after content has been loaded (good for slow internet connection)
	$('.load_more:not(.loading)').live('click',function(e){
		e.preventDefault();
		var offset 			= $('.mix-container .mix').length;
		var $load_more_btn 	= $(this);
		var post_type 		= 'project'; // this is optional and can be set from anywhere, stored in mockup etc...
		var nonce 			= $load_more_btn.attr('data-nonce');

		console.log(offset);
		$.ajax({
	    	type : "post",
	    	context: this,
	     	dataType : "json",
	     	url : headJS.ajaxurl,
			data : {action: "load_more", offset:offset, nonce:nonce, post_type:post_type, posts_per_page:4},
	     	beforeSend: function(data) {
				// here u can do some loading animation...
				$load_more_btn.addClass('loading').html('المزيد ...');// good for styling and also to prevent ajax calls before content is loaded by adding loading class
	     	},
	     	success: function(response) {
				if (response['have_posts'] == 1){//if have posts:
					$load_more_btn.removeClass('loading').html('المزيد');
					var $newElems = $(response['html'].replace(/(\r\n|\n|\r)/gm, ''));// here removing extra breaklines and spaces
					// $('.mix-container').append($newElems);
					$('.mix-container').mixItUp('append', $newElems);
				} else {
					//end of posts (no posts found)
					$load_more_btn.removeClass('loading').addClass('end_of_posts').html('<span>لا يوجد المزيد</span>'); // change buttom styles if no more posts
				}
	     	}
	  	});
	});




});