<?php
// featured
// qouta
// bandwidth
// emailaddress
// databases
// backups
// ftp
// controlpanel
// reserveurl

add_filter( 'rwmb_meta_boxes', 'host_register_meta_boxes' );

function host_register_meta_boxes( $meta_boxes )
{

	$prefix = 'host_';
	// 1st meta box
	$meta_boxes[] = array(
		'id'         => 'serv-host',
		'title'      => __( 'خيارات خطة الاستضافه', 'meta-box' ),
		'post_types' => array( 'plan'),
		'context'    => 'normal',
		'priority'   => 'low',
		'autosave'   => false,
		'fields'     => array(
			array(
				'name'        => __( 'مميز:', 'meta-box' ),
				'id'          => "{$prefix}featured",
				'type'        => 'select',
				'options'     => array(
					'0' 	=> __( 'لا'  , 'meta-box' ),
					'20%' 	=> __( '20%', 'meta-box' ),
					'40%' 	=> __( '40%', 'meta-box' ),
					'60%' 	=> __( '60%', 'meta-box' ),
					'80%' 	=> __( '80%', 'meta-box' ),
					'100%' 	=> __( '100%', 'meta-box' ),
				),
				'multiple'    => false,
				'std'         => '',
				'placeholder' => __( '', 'meta-box' ),
			),
			array(
				'name'       => __( 'المساحة : ', 'meta-box' ),
				'id'         => "{$prefix}qouta",
				'type'       => 'slider',
				'prefix'     => __( '', 'meta-box' ),
				'suffix'     => __( 'ميجا', 'meta-box' ),
				'js_options' => array(
					'min'  => 10,
					'max'  => 255,
					'step' => 5,
				),
			),
			array(
				'name'       => __( 'نقل البيانات:', 'meta-box' ),
				'id'         => "{$prefix}bandwidth",
				'type'       => 'slider',
				'prefix'     => __( '', 'meta-box' ),
				'suffix'     => __( 'جيجا', 'meta-box' ),
				'js_options' => array(
					'min'  => 0,
					'max'  => 100,
					'step' => 1,
				),
			),
			array(
				'name'  => __( 'البريد الإلكترونى:', 'meta-box' ),
				'id'    => "{$prefix}emailaddress",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'  => __( 'قواعد البيانات:', 'meta-box' ),
				'id'    => "{$prefix}databases",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'  => __( 'النسخ الإحتياطية:', 'meta-box' ),
				'id'    => "{$prefix}backups",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'  => __( 'حسابات الـ FTP:', 'meta-box' ),
				'id'    => "{$prefix}ftp",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( '', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'  => __( 'لوحة التحكم:', 'meta-box' ),
				'id'    => "{$prefix}controlpanel",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( 'cpanel', 'meta-box' ),
				// 'clone' => true,
			),
		)
	);

	return $meta_boxes;
}