<?php

add_filter( 'rwmb_meta_boxes', 'reserve_register_meta_boxes' );

function reserve_register_meta_boxes( $meta_boxes )
{

	$prefix = '_';
	// 1st meta box
	$meta_boxes[] = array(
		'id'         => 'reserve_meta_boxes',
		'title'      => __( 'الحجز', 'meta-box' ),
		'post_types' => array( 'plan'),
		'context'    => 'side',
		'priority'   => 'high',
		'autosave'   => false,
		'fields'     => array(
			array(
				'name'  => __( 'رابط الحجز:', 'meta-box' ),
				'id'    => "{$prefix}reserveurl",
				'desc'  => __( '', 'meta-box' ),
				'type'  => 'text',
				'std'   => __( 'http://serv5.com', 'meta-box' ),
				// 'clone' => true,
			),
			array(
				'name'  => __( 'serv_type', 'meta-box' ),
				'id'    => "serv_type",
				'type'  => 'hidden',
				'std'   => __( '0', 'meta-box' ),
			),


		)
	);

	return $meta_boxes;
}

