<?php
/*
 * Template Name: التصميم
*/
get_header(); ?>


<div class="text-center">
	<?php get_template_hero_section('' , 510); ?>
</div>

<?php while ( have_posts() ) : the_post(); ?>

<?php 
	$meta = get_post_meta( get_the_ID() , '_custom_page_options' , true );
	// print_r($meta);
?>
<pre dir="ltr" class="hidden">

</pre>

<section class="main-content clearfix">
    <div class="maincontent-inner">
    	<div class="container">
	        <div class="row">

				<div class="col-md-12">
					<div class="main-entry">
						

						<h1 class="hero-title wow zoomIn"  data-wow-duration="1s">
							<?php the_title();  ?>
						</h1>
						
						<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

							<div class="entry-content wow zoomIn"  data-wow-duration="1s">
								<?php the_content(); ?>
							</div><!-- .entry-content -->

						</article><!-- #post-## -->

						<?php if ( $meta['design_features_group'] ): ?>
						<div class="iconic-grid">
							<div class="row">

					            <?php foreach ( $meta['design_features_group'] as $key => $featuregroup): ?>
									<div class="col-md-3">
										<div class="item-icon wow zoomIn"  data-wow-duration="1s">
											<span>
												<i class="<?php echo $featuregroup['design_features_group_icon'] ?>"></i>
											</span>
											<h4><?php echo $featuregroup['design_features_group_text'] ?></h4>
											<p>
												<?php echo $featuregroup['design_features_group_content'] ?>
											</p>
										</div><!--end of icon-item-->
									</div><!--end of column-->
					            <?php endforeach ?>

							</div><!--end of row-->
						</div><!--end of iconic-grid-->
						<?php endif ?>


					</div><!--end of main-entry-->
				</div><!--end of column-->

	        </div><!--end of row-->
        </div>
    </div><!--end of container-->
</section><!--end of main-content-->




<?php if ( $meta['design_second_block_status'] ): ?>
<section class="section sec-dark">
	<div class="section-inner">
		<div class="container">


			<h1 class="hero-title wow zoomIn"  data-wow-duration="1s">
				<?php echo $meta['design_second_block_title'];  ?>
			</h1>
			<div class="hero-par wow zoomIn"  data-wow-duration="1s">
				<?php echo $meta['design_second_block_content'];  ?>
			</div>


			<div class="responsive-img text-center wow fadeInDown"  data-wow-duration="1s">
				<img src="<?php echo get_template_directory_uri(); ?>/assets/images/ddddd-img.png" alt="">
			</div><!--end of responsive-img-->

			<div class="text-center wow zoomIn"  data-wow-duration="1s">
				<a href="<?php echo $meta['design_second_block_url'];  ?>" class="btn btn-red btn-big btn-shad">أطلب موقعك الأن</a>
			</div>

		</div><!--end of container-->
	</div><!--end of section-inner-->
</section><!--end of section-->
<?php endif ?>


<?php if ( $meta['latest_protfolio_block_status'] ): ?>
	<?php get_template_part('misc/home' , 'latest'); ?>
<?php endif ?>


<?php endwhile; ?>

<?php get_footer(); ?>